MUCRoomConfigHandler Class Referenceabstract

`#include <mucroomconfighandler.h>`

## Public Member Functions

virtual | ~MUCRoomConfigHandler ()
virtual void | handleMUCConfigList (MUCRoom *room, const MUCListItemList &items, MUCOperation operation)=0
virtual void | handleMUCConfigForm (MUCRoom *room, const DataForm &form)=0
virtual void | handleMUCConfigResult (MUCRoom *room, bool success, MUCOperation operation)=0
virtual void | handleMUCRequest (MUCRoom *room, const DataForm &form)=0

## Detailed Description

An abstract interface that can be implemented for MUC room configuration.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  0.9

Definition at line 176 of file mucroomconfighandler.h.

## Constructor & Destructor Documentation

## ~MUCRoomConfigHandler()

virtual ~MUCRoomConfigHandler | ( |  | ) |

inline virtual

Virtual Destructor.

Definition at line 182 of file mucroomconfighandler.h.

## Member Function Documentation

## handleMUCConfigForm()

virtual void handleMUCConfigForm | ( | MUCRoom * | room,
|  | const DataForm & | form )

pure virtual

This function is called when the room's configuration form arrives. This usually happens after a call to MUCRoom::requestRoomConfig(). Use MUCRoom::setRoomConfig() to send the configuration back to the room.

Parameters

  room | The room for which the config form arrived.
  form | The configuration form.

## handleMUCConfigList()

virtual void handleMUCConfigList | ( | MUCRoom * | room,
|  | const MUCListItemList & | items,
|  | MUCOperation | operation )

pure virtual

This function is called in response to MUCRoom::requestList() if the list was fetched successfully.

Parameters

  room | The room for which the list arrived.
  items | The requestd list's items.
  operation | The type of the list.

## handleMUCConfigResult()

virtual void handleMUCConfigResult | ( | MUCRoom * | room,
|  | bool | success,
|  | MUCOperation | operation )

pure virtual

This function is called in response to MUCRoom::kick(), MUCRoom::storeList(), MUCRoom::ban(), and others, to indcate the end of the operation.

Parameters

  room | The room for which the operation ended.
  success | Whether or not the operation was successful.
  operation | The finished operation.

## handleMUCRequest()

virtual void handleMUCRequest | ( | MUCRoom * | room,
|  | const DataForm & | form )

pure virtual

This function is called when a Voice request or a Registration request arrive through the room that need to be approved/rejected by the room admin. Use MUCRoom::createDataForm() to have a Tag created that answers the request.

Parameters

  room | The room the request arrived from.
  form | A DataForm containing the request.

The documentation for this class was generated from the following file:

- mucroomconfighandler.h